package intro2java;
import robocode.*;

/**
 * AlternateSquares - travels in a square alternating 
 * between left and right. Forever
 */
public class AlternateSquares extends Robot
{
    public final static int LENGTH_OF_SQUARE = 150;

	/**
	 * run: AlternateSquares's default behavior
	 */
	public void run() {
		int squares = 0;
		while(true) {
			out.println("Square number: " + squares);
			for (int i=0; i < 4; i++)
			{
				ahead(LENGTH_OF_SQUARE);
				if (squares % 2 == 0)
				{					
					out.println("Moving clockwise");					
					turnRight(90);
				}
				else
				{
					out.println("Moving anti-clockwise");										
					turnLeft(90);
				}	
			}	
			squares++;		
		}
	}

}
