package intro2java;
import robocode.*;

/**
 * SquaresWithConstructor - moves in a square. Uses 
 * an instance variable to count how many squares its
 * travelled.
 */
public class SquaresWithConstructor extends Robot
{
    public final static int LENGTH_OF_SQUARE = 150;
	
	private int numberOfSquares;
	
	public SquaresWithConstructor()
	{
		numberOfSquares = 0;
	}
	
	public void run() {
		while(true) {
			moveInSquare(LENGTH_OF_SQUARE);
		}
	}

	private void moveInSquare(int lengthOfSize)
	{
		for (int i=0; i < 4; i++)
		{
			ahead(LENGTH_OF_SQUARE);
			turnRight(90);
		}						
		numberOfSquares++;			
	}	
}
